### Method

# Fwupd Client upload_bytes

since: 1.4.5

#### Declaration [src]

    GBytes*
    fwupd_client_upload_bytes (
      FwupdClient* self,
      const gchar* url,
      const gchar* payload,
      const gchar* signature,
      FwupdClientUploadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Uploads data to a remote server. The `fwupd_client_set_user_agent()` function should be called before this method is used.

Available since: 1.4.5

#### Parameters

`url`

  Type: `const gchar*`

  The remote URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`payload`

  Type: `const gchar*`

  Payload string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signature`

  Type: `const gchar*`

  Signature string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FwupdClientUploadFlags`

  Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

Response data, or `NULL` for error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.